Page MenuHomePhabricator

Additional sort options for categories:: Usage (most/least used pages); Creation date (newest/oldest date of original image/video)
Open, LowPublic

Description

When looking at Wikimedia Commons category results, they display in pages of 200 at a time and only in one order - alphabetical by filename. I cannot think of a time when this default sort-order has ever been helpful to my discovery of multimedia.

I would find it very useful to aid discovery if there was a dropdown "sort by" option that would let me display the files in different sort-orders. The larger the result list the more useful this feature becomes. Useful sort orders could include:

Many other metadata fields could potentially be used but these ones above are least dependent on uploaders giving good metadata.

Relatedly - if you could move from 200-at-a-time display to "endless scroll" that would help too.

(sorry if I've incorrectly filed this request - not a frequent user of Bugzilla)


Version: 1.24rc
Severity: enhancement

Details

Reference
bz69417

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:39 AM
bzimport added a project: MediaWiki-Categories.
bzimport set Reference to bz69417.
bzimport added a subscriber: Unknown Object (MLST).

Hi, could you please provide a link to reproduce the problem?

(In reply to Andre Klapper from comment #1)

Hi, could you please provide a link to reproduce the problem?

I don't understand your question... This is a feature request, not a "problem". I cannot show you an example of something that doesn't exist yet. Do you want me to provide links to websites that have "sort by" options? Surely you don't need me to provide a link to a Commons category page to show you how it looks at the moment?

Yes I meant the latter, to clarify how things look now and to make sure that the same thing is discussed. Examples are always welcome in Bugzilla tickets, no matter how obvious things might seem.

So I guess you refer to the category view like https://commons.wikimedia.org/wiki/Category:1000_de_La_Gaucheti%C3%A8re

(In reply to Liam Wyatt from comment #0)

  • Upload date (oldest/newest)

Bug 1289?

  • Usage (most/least used pages on Wikimedia projects)
  • Creation date (newest/oldest date of the original image/video)
  • Filesize (largest/smallest)

Covered by bug 40870?

(For the records: This feature request covers several implementation requests so it's unlikelier to get fixed at some point.)

This would be much easier if liangent's zhcollation branch gets merged into core.

(That's bug 44667 by the way.)

(In reply to Andre Klapper from comment #3)

Yes I meant the latter, to clarify how things look now and to make sure that
the same thing is discussed. Examples are always welcome in Bugzilla
tickets, no matter how obvious things might seem.
So I guess you refer to the category view like
https://commons.wikimedia.org/wiki/Category:1000_de_La_Gaucheti%C3%A8re

That one is an example, yes, but perhaps this one, which is larger:
https://commons.wikimedia.org/wiki/Category:Paintings_in_the_Rijksmuseum_Amsterdam

There are 3,773 files (not including files in sub-categories) in "Paintings in the Rijksmuseum Amsterdam). This category is impossible to navigate as it only shows the first 200 of these files (sorted alphabetically). First request therefore is "endless scroll" to make ALL files visible on the one page if I wish.

The subsequent request is the ability to change the sort order as per the examples given above.

(In reply to Liam Wyatt from comment #0)

  • Upload date (oldest/newest)

Bug 1289?

  • Filesize (largest/smallest)

Covered by bug 40870?

Yes - these two existing bugs seem to cover what I meant by those two examples in the original request.

(For the records: This feature request covers several implementation
requests so it's unlikelier to get fixed at some point.)

Please tell me the best method to make this request then? I can send pleading emails on mailing lists, or harass developers that I know etc., but what is the actual official method for requesting a feature??

Please tell me the best method to make this request then? I can send
pleading emails on mailing lists, or harass developers that I know etc., but
what is the actual official method for requesting a feature??

Harassment tends to be the most effective if I'm being honest ;)

Filing bugs like this is fine. What comment 3 is getting at is that generally you should try and make bugs as specific possible. So instead of filing something for sort by upload date, and sort by FOO, it would be more effective to file a separate bug for each type of sorting method you want. However in this particular case, probably nothing is going to happen until bug 44667 is fixed, so just having this bug for now is probably fine.

Steinsplitter set Security to None.
Steinsplitter moved this task from Incoming to Backlog on the Commons board.
SJu added a subscriber: SJu.Jul 4 2015, 2:46 PM
Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptJul 4 2015, 2:46 PM
SJu added a comment.Jul 4 2015, 2:49 PM

Included in T61108.

Aklapper renamed this task from Sort options for Commons categories to More sort options for categories.Nov 17 2016, 11:44 AM
Aklapper updated the task description. (Show Details)
Restricted Application added a subscriber: Poyekhali. · View Herald TranscriptNov 17 2016, 11:44 AM
Aklapper renamed this task from More sort options for categories to Additional sort options for categories:: Usage (most/least used pages); Creation date (newest/oldest date of original image/video).Nov 17 2016, 11:44 AM
Aklapper removed a subscriber: wikibugs-l-list.
Aklapper added a subscriber: Aklapper.

As Sort by Upload date (oldest/newest) = T3289 and Sort by File size (largest/smallest) = T42870 already exist, I've edited the task summary to reflect the remaining two items to make T71417 more clearly focused.